org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning

## Class MultilineNonConsumingRule

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.panes.oql.textPartitioning.MultilineNonConsumingRule

    public class MultilineNonConsumingRule
    extends Object

Partitioning rule that finds a string included between two sequences The beginning and trailing sequences are not case sensitive The trailing sequence is not included and the character scanner is rewinded once the trailer is found.

### Nested Class Summary

Nested Classes
`static class` `MultilineNonConsumingRule.BadToken` Dummy token used to specify in return that a token has not been found.

### Constructor Summary

Constructors
Constructor and Description
`MultilineNonConsumingRule(String startSequence, String[] endSequences, IToken token)` Base constructor to specify start sequence, end sequence and token.

### Method Summary

All Methods Instance Methods Concrete Methods
`IToken` `evaluate(ICharacterScanner arg0)` Evaluates if the provided character scanner starts with the startSequence and terminates with endSequence, then it rewinds.
`IToken` `evaluate(ICharacterScanner arg0, boolean resume)` Searches the token in the sequence.
`IToken` `getSuccessToken()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultilineNonConsumingRule

    public MultilineNonConsumingRule(String startSequence,
                                     String[] endSequences,
                                     IToken token)

Base constructor to specify start sequence, end sequence and token.

Parameters:
  `startSequence` -
  `endSequences` -
  `token` -

### Method Detail

#### evaluate

    public IToken evaluate(ICharacterScanner arg0,
                           boolean resume)

Searches the token in the sequence. This method can be called from the middle of the sequence (passing arg1)

#### getSuccessToken

    public IToken getSuccessToken()

#### evaluate

    public IToken evaluate(ICharacterScanner arg0)

Evaluates if the provided character scanner starts with the startSequence and terminates with endSequence, then it rewinds.